Subject: Re: [PATCH] IPv6: Change addrconf code to deal with link changes better

From: Brian Haley <[email-masked]>
Date: Fri, 10 Sep 2010 21:10:29 -0400

On 09/10/2010 06:27 PM, Alexander Clouter wrote:
> Brian Haley <[email-masked]> wrote:
>>
>> [snipped]
>>
>> Change the IPv6 addrconf code to handle the case where the NIC link
>> state goes UP-DOWN-UP by removing all the autoconfigured addresses
>> when it goes down, so that when it comes back up they will get added
>> again and DAD will be triggered.  
>>
> Surely this is going to result in me sending you lots of rude emails 
> everytime cursing you when my SSH connections are terminated for no real 
> reason on a link flap?  Privacy addresses are handy on servers too such 
> as DNS servers...

No, you'd be sending me some rude emails, I didn't test that particular
case, so Dave, don't apply this.  I guess we've lived with it long enough
the way it is that dropping a few packets at initialization isn't *that*
bad.  I'll see if I can figure out a better way in the meantime...

-Brian